umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Settings::LayoutTypeState Class Reference

`#include <optionstate.h>`

## Public Member Functions
| LayoutTypeState ()
void | load ()
void | save ()
void | saveToXMI (QXmlStreamWriter &writer)
bool | loadFromXMI (QDomElement &element)

## Public Attributes
Uml::LayoutType::Enum | showExportLayout
| flag for display export layout

## Constructor & Destructor Documentation

## ◆ LayoutTypeState()

Settings::LayoutTypeState::LayoutTypeState | ( |  | ) |
| inline

## Member Function Documentation

## ◆ load()

void Settings::LayoutTypeState::load | ( |  | ) |

## ◆ loadFromXMI()

bool Settings::LayoutTypeState::loadFromXMI | ( | QDomElement & | element | ) |

## ◆ save()

void Settings::LayoutTypeState::save | ( |  | ) |

## ◆ saveToXMI()

void Settings::LayoutTypeState::saveToXMI | ( | QXmlStreamWriter & | writer | ) |

## Member Data Documentation

## ◆ showExportLayout

Uml::LayoutType::Enum Settings::LayoutTypeState::showExportLayout

flag for display export layout

The documentation for this class was generated from the following file:

- umbrello/optionstate.h